import express from 'express';
import bodyParser from 'body-parser';
import cors from 'cors';
import { swaggerOptions } from './config/settings';
import privateRoute from './private';
import adminRoute from './admin';
import loginRoute from './account';

const app = express();
const  expressSwagger = require('express-swagger-generator')(app);
const port = process.env.PORT || 8000;

app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));
app.use(cors());

app.get('/health', async (req, res) => {

	res.json({
		type: true,
		message: 'OK!'
	});

});

app.use('/private', privateRoute);
app.use('/admin', adminRoute);
app.use('/account', loginRoute);

expressSwagger(swaggerOptions);

app.listen(port, () => {

	console.log('server is running on port ', port);

});
