import * as constants from './constants';

const initialState = {
  toast: { open: false, message: '', variant: 'success' },
};

export default function store(state = initialState, action) {
  const actions = action;
  switch (actions.type) {
    case constants.SET_TOAST: {
      const oldToast = state.toast;
      const toast = { open: action.value, message: action.message, variant: action.variant };
      if (!action.value) {
        toast.message = '';
        toast.variant = oldToast.variant;
      }
      return { ...state, toast };
    }
    default: {
      return state;
    }
  }
}
